
(function(l, i, v, e) { v = l.createElement(i); v.async = 1; v.src = '//' + (location.host || 'localhost').split(':')[0] + ':35729/livereload.js?snipver=1'; e = l.getElementsByTagName(i)[0]; e.parentNode.insertBefore(v, e)})(document, 'script');
(function () {
    'use strict';

    function noop() { }
    function add_location(element, file, line, column, char) {
        element.__svelte_meta = {
            loc: { file, line, column, char }
        };
    }
    function run(fn) {
        return fn();
    }
    function blank_object() {
        return Object.create(null);
    }
    function run_all(fns) {
        fns.forEach(run);
    }
    function is_function(thing) {
        return typeof thing === 'function';
    }
    function safe_not_equal(a, b) {
        return a != a ? b == b : a !== b || ((a && typeof a === 'object') || typeof a === 'function');
    }

    function append(target, node) {
        target.appendChild(node);
    }
    function insert(target, node, anchor) {
        target.insertBefore(node, anchor || null);
    }
    function detach(node) {
        node.parentNode.removeChild(node);
    }
    function element(name) {
        return document.createElement(name);
    }
    function text(data) {
        return document.createTextNode(data);
    }
    function space() {
        return text(' ');
    }
    function listen(node, event, handler, options) {
        node.addEventListener(event, handler, options);
        return () => node.removeEventListener(event, handler, options);
    }
    function children(element) {
        return Array.from(element.childNodes);
    }

    let current_component;
    function set_current_component(component) {
        current_component = component;
    }
    function get_current_component() {
        if (!current_component)
            throw new Error(`Function called outside component initialization`);
        return current_component;
    }
    function onMount(fn) {
        get_current_component().$$.on_mount.push(fn);
    }
    function onDestroy(fn) {
        get_current_component().$$.on_destroy.push(fn);
    }

    const dirty_components = [];
    const binding_callbacks = [];
    const render_callbacks = [];
    const flush_callbacks = [];
    const resolved_promise = Promise.resolve();
    let update_scheduled = false;
    function schedule_update() {
        if (!update_scheduled) {
            update_scheduled = true;
            resolved_promise.then(flush);
        }
    }
    function add_render_callback(fn) {
        render_callbacks.push(fn);
    }
    function flush() {
        const seen_callbacks = new Set();
        do {
            // first, call beforeUpdate functions
            // and update components
            while (dirty_components.length) {
                const component = dirty_components.shift();
                set_current_component(component);
                update(component.$$);
            }
            while (binding_callbacks.length)
                binding_callbacks.pop()();
            // then, once components are updated, call
            // afterUpdate functions. This may cause
            // subsequent updates...
            for (let i = 0; i < render_callbacks.length; i += 1) {
                const callback = render_callbacks[i];
                if (!seen_callbacks.has(callback)) {
                    callback();
                    // ...so guard against infinite loops
                    seen_callbacks.add(callback);
                }
            }
            render_callbacks.length = 0;
        } while (dirty_components.length);
        while (flush_callbacks.length) {
            flush_callbacks.pop()();
        }
        update_scheduled = false;
    }
    function update($$) {
        if ($$.fragment) {
            $$.update($$.dirty);
            run_all($$.before_update);
            $$.fragment.p($$.dirty, $$.ctx);
            $$.dirty = null;
            $$.after_update.forEach(add_render_callback);
        }
    }
    const outroing = new Set();
    function transition_in(block, local) {
        if (block && block.i) {
            outroing.delete(block);
            block.i(local);
        }
    }
    function mount_component(component, target, anchor) {
        const { fragment, on_mount, on_destroy, after_update } = component.$$;
        fragment.m(target, anchor);
        // onMount happens before the initial afterUpdate
        add_render_callback(() => {
            const new_on_destroy = on_mount.map(run).filter(is_function);
            if (on_destroy) {
                on_destroy.push(...new_on_destroy);
            }
            else {
                // Edge case - component was destroyed immediately,
                // most likely as a result of a binding initialising
                run_all(new_on_destroy);
            }
            component.$$.on_mount = [];
        });
        after_update.forEach(add_render_callback);
    }
    function destroy_component(component, detaching) {
        if (component.$$.fragment) {
            run_all(component.$$.on_destroy);
            component.$$.fragment.d(detaching);
            // TODO null out other refs, including component.$$ (but need to
            // preserve final state?)
            component.$$.on_destroy = component.$$.fragment = null;
            component.$$.ctx = {};
        }
    }
    function make_dirty(component, key) {
        if (!component.$$.dirty) {
            dirty_components.push(component);
            schedule_update();
            component.$$.dirty = blank_object();
        }
        component.$$.dirty[key] = true;
    }
    function init(component, options, instance, create_fragment, not_equal, prop_names) {
        const parent_component = current_component;
        set_current_component(component);
        const props = options.props || {};
        const $$ = component.$$ = {
            fragment: null,
            ctx: null,
            // state
            props: prop_names,
            update: noop,
            not_equal,
            bound: blank_object(),
            // lifecycle
            on_mount: [],
            on_destroy: [],
            before_update: [],
            after_update: [],
            context: new Map(parent_component ? parent_component.$$.context : []),
            // everything else
            callbacks: blank_object(),
            dirty: null
        };
        let ready = false;
        $$.ctx = instance
            ? instance(component, props, (key, value) => {
                if ($$.ctx && not_equal($$.ctx[key], $$.ctx[key] = value)) {
                    if ($$.bound[key])
                        $$.bound[key](value);
                    if (ready)
                        make_dirty(component, key);
                }
            })
            : props;
        $$.update();
        ready = true;
        run_all($$.before_update);
        $$.fragment = create_fragment($$.ctx);
        if (options.target) {
            if (options.hydrate) {
                // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
                $$.fragment.l(children(options.target));
            }
            else {
                // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
                $$.fragment.c();
            }
            if (options.intro)
                transition_in(component.$$.fragment);
            mount_component(component, options.target, options.anchor);
            flush();
        }
        set_current_component(parent_component);
    }
    class SvelteComponent {
        $destroy() {
            destroy_component(this, 1);
            this.$destroy = noop;
        }
        $on(type, callback) {
            const callbacks = (this.$$.callbacks[type] || (this.$$.callbacks[type] = []));
            callbacks.push(callback);
            return () => {
                const index = callbacks.indexOf(callback);
                if (index !== -1)
                    callbacks.splice(index, 1);
            };
        }
        $set() {
            // overridden by instance, if it has props
        }
    }
    class SvelteComponentDev extends SvelteComponent {
        constructor(options) {
            if (!options || (!options.target && !options.$$inline)) {
                throw new Error(`'target' is a required option`);
            }
            super();
        }
        $destroy() {
            super.$destroy();
            this.$destroy = () => {
                console.warn(`Component was already destroyed`); // eslint-disable-line no-console
            };
        }
    }

    function unwrapExports (x) {
    	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
    }

    function createCommonjsModule(fn, module) {
    	return module = { exports: {} }, fn(module, module.exports), module.exports;
    }

    var dist = createCommonjsModule(function (module, exports) {
    !function(t,e){module.exports=e();}(window,function(){return function(t){var e={};function n(s){if(e[s])return e[s].exports;var i=e[s]={i:s,l:!1,exports:{}};return t[s].call(i.exports,i,i.exports,n),i.l=!0,i.exports}return n.m=t,n.c=e,n.d=function(t,e,s){n.o(t,e)||Object.defineProperty(t,e,{enumerable:!0,get:s});},n.r=function(t){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0});},n.t=function(t,e){if(1&e&&(t=n(t)),8&e)return t;if(4&e&&"object"==typeof t&&t&&t.__esModule)return t;var s=Object.create(null);if(n.r(s),Object.defineProperty(s,"default",{enumerable:!0,value:t}),2&e&&"string"!=typeof t)for(var i in t)n.d(s,i,function(e){return t[e]}.bind(null,i));return s},n.n=function(t){var e=t&&t.__esModule?function(){return t.default}:function(){return t};return n.d(e,"a",e),e},n.o=function(t,e){return Object.prototype.hasOwnProperty.call(t,e)},n.p="",n(n.s=0)}([function(t,e,n){n.r(e);const s=(t,e=!0)=>t&&"/"!==t?(t.startsWith("/")||(t="/"+t),t=i(t),e&&(t=t.toLowerCase()),t):"/",i=t=>(r(t)&&(t=t.substring(0,t.length-1)),t),r=t=>"/"==t.substring(t.length-1),o=(t,e)=>{e=s(e,!1).split("?")[0];const n={},i=(t=s(t)).split("/"),r=e.split("/");if(i.length===r.length||t.includes("**")){for(const t in i)if(i[t].startsWith(":")&&"/"!==e){n[i[t].slice(1)]=r[t].toString();}else{if(i[t].startsWith("**"))return n;if(i[t]!==r[t].toLowerCase())return}return n}},a=(t="")=>{if(!t.startsWith("?"))return {};var e=t.slice(1).split("&"),n={};for(const t of e){const e=t.split("=");e[0]&&(n[e[0]]=decodeURIComponent(e[1]||""));}return n};function h(t){for(var e="",n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",s=n.length,i=0;i<t;i++)e+=n.charAt(Math.floor(Math.random()*s));return e}var u;!function(t){t.History="HISTORY_EVENT",t.LoadTriggered="ROUTER_LOAD_TRIGGERED",t.ProgressStart="ROUTER_START",t.ProgressEnd="ROUTER_END",t.RunningHanlders="ROUTER_RUNNING_HANDLERS",t.NoHanlders="ROUTER_NO_HANDLERS",t.SameRouteAbort="ROUTER_SAME_ROUTE_ABORT",t.Destroyed="ROUTER_DESTROYED";}(u||(u={}));class c{constructor(t=window){this.routePattern="",this.hash="",this.host="",this.hostname="",this.href="",this.origin="",this.pathname="",this.port="",this.protocol="",this.search="",this.params={},this.query={},this.hash=t.location.hash,this.host=t.location.host,this.hostname=t.location.hostname,this.href=t.location.href,this.origin=t.location.origin,this.pathname=t.location.pathname,this.port=t.location.port,this.protocol=t.location.protocol,this.search=t.location.search;}}class d{constructor(){this.ctx={},this.hasCompleted=!1,this.leaveActions=[];}runOnLeave(){this.leaveActions.forEach(t=>t()),this.leaveActions=[];}onLeave(t){this.leaveActions.push(t);}end(){this.hasCompleted=!0;}unmount(...t){console.log("Unmount action is not set"),console.log(...t);}mount(...t){console.log("Mount action is not set"),console.log(...t);}redirect(t){console.log("Redirect action is not set"),console.log(t);}}class l{constructor(t){this.base=t,this.middleware=[],this.routes={};}path(t,...e){this.routes[t]=e;}use(t){this.middleware.push(t);}}const p=(t,e)=>{const n=new l(t);return e&&e(n),n},f=()=>{const t={};return {subscribe:e=>{const n=h(5);return t[n]=e,{unsubscribe:()=>delete t[n]}},next:e=>{for(const n in t)t[n](e);}}};var m;!function(t){t.push="PUSH",t.back="BACK",t.forward="FORWARD",t.replace="REPLACE";}(m||(m={}));class g{constructor(t=window,e=document){this.entries=[],this.events=[],this.onEvent=f(),this.onPop=()=>{const t=this.window.location.pathname;if(t===this.lastRoute){const t={type:m.back,from:this.currentRoute,to:this.lastRoute};this.entries.pop(),this.events.push(t),this.onEvent.next(t);}else{const e={type:m.forward,from:this.currentRoute,to:t};this.entries.push(t),this.events.push(e),this.onEvent.next(e);}},this.window=t,this.document=e,this.entries.push(this.window.location.pathname),this.window.addEventListener("popstate",this.onPop);}get lastEvent(){return this.events[this.events.length-2]}get currentEvent(){return this.events[this.events.length-1]}get lastRoute(){return this.entries[this.entries.length-2]}get currentRoute(){return this.entries[this.entries.length-1]}destroy(){this.window.removeEventListener("popstate",this.onPop);}push(t){t=s(t),this.window.history.pushState(null,this.document.title,t);const e={type:m.push,from:this.currentRoute,to:t};this.entries.push(t),this.events.push(e),this.onEvent.next(e);}pop(){this.window.history.back();}replace(t){t=s(t),this.window.history.replaceState(null,this.document.title,t),this.entries[this.entries.length-1]=t,this.onEvent.next({type:m.replace,from:this.currentRoute,to:t});}}class y{constructor(t){this.history=t,this.routers={},this.events=f();}addRouter(t){this.routers[t.id]=t;}removeRouter(t){delete this.routers[t.id],0===Object.keys(this.routers).length&&this.history.destroy();}}class w{constructor(t,e,n=window){this.sharedState=t,this.id=e,this.middleware=[],this.routes={},this.state={},this.isLoading=!0,this.$reqs=[],this.loads=0,this.onLeave=()=>{},this.window=n,t.addRouter(this),this.history=t.history,this.$history=this.history.onEvent.subscribe(t=>{this.events.next({type:u.History,id:this.id,data:{...t}}),this.digest();});}get events(){return this.sharedState.events}destroy(){this.sharedState.removeRouter(this),this.$history.unsubscribe(),this.$reqs.forEach(t=>t.unsubscribe()),this.currentRes&&(this.currentRes.runOnLeave(),this.currentRes.unmount()),this.events.next({type:u.Destroyed,id:this.id,data:this.window.location.pathname});}path(t,...e){this.routes[s(t)]=e;}use(t){t instanceof l?this.useGroup(t):this.useHandler(t);}useGroup(t){for(const e in t.routes){const n=s(t.base+e);this.routes[n]=[...t.middleware,...t.routes[e]];}}useHandler(t){this.middleware.push(t);}async navigate(t){this.isLoading||this.history.push(t);}async back(){this.isLoading||this.history.pop();}runOnLeave(){this.currentRes&&(this.currentRes.runOnLeave(),this.currentRes=void 0);}load(){return this.events.next({type:u.LoadTriggered,id:this.id,data:this.window.location.pathname}),this.digest()}async digest(){this.events.next({type:u.ProgressStart,id:this.id,data:this.window.location.pathname}),this.isLoading=!0;const t=new c(this.window),e=new d;e.redirect=t=>{this.isLoading=!1,this.events.next({type:u.ProgressEnd,id:this.id,data:{path:this.window.location.pathname,note:"redirected page"}}),this.history.push(t);};const n=this.getPattern(s(t.pathname,!1));if(!n)return this.events.next({type:u.NoHanlders,id:this.id,data:this.window.location.pathname}),this.events.next({type:u.ProgressEnd,id:this.id,data:{path:this.window.location.pathname,note:"No handlers found for current path"}}),void(this.isLoading=!1);const{pattern:i,params:r}=n;if(this.history.currentEvent&&0!==this.loads){const t=this.getPattern(this.history.currentEvent.from);if(i===(t&&t.pattern))return void this.events.next({type:u.SameRouteAbort,id:this.id,data:this.window.location.pathname})}const o=this.routes[i];t.routePattern=i,t.params={...r},t.query={...a(this.window.location.search)},this.$reqs.push(this.onRequestUpdate(t,e,i)),this.events.next({type:u.RunningHanlders,id:this.id,data:this.window.location.pathname}),await this.runHandlers(this.middleware,t,e),await this.runHandlers(o,t,e),this.loads++,this.isLoading=!1,this.currentRes=e,this.events.next({type:u.ProgressEnd,id:this.id,data:{path:this.window.location.pathname,note:"handlers have completed running",route:i}});}getPattern(t){let e=[];for(let n in this.routes){const s=o(n,t);void 0!==s&&e.push({key:n,params:s});}if(0===e.length)return;const n=e.filter(t=>t.key.includes("**")),s=e.filter(t=>!t.key.includes("**"));let i,r;for(let e of s)if(i=e.key,r=e.params,e.key===t)break;return !i||!r&&n.length?{params:n[0].params,pattern:n[0].key,patterns:e}:i&&r?{params:r,pattern:i,patterns:e}:void 0}async runHandlers(t,e,n){for(const s of t){if(n.hasCompleted)break;await s(e,n,this.state,this);}}onRequestUpdate(t,e,n){return this.history.onEvent.subscribe(s=>{const i=this.getPattern(s.to),r=this.getPattern(s.from);if((i&&i.pattern)!==(r&&r.pattern))return this.$reqs[0].unsubscribe(),this.$reqs.shift(),void e.runOnLeave();Object.assign(t,new c(this.window));const h=o(n,t.pathname);t.routePattern=n,t.params={...h},t.query={...a(this.window.location.search)},this.events.next({type:u.ProgressEnd,id:this.id,data:{path:this.window.location.pathname,note:"Router ended after same-route update",route:n}}),this.isLoading=!1;})}}const v=(t=h(10),e=window,n=document)=>{const s=((t=window,e=document)=>{if(void 0===t.crayon){const n=new g(t,e),s=new y(n);t.crayon=s;}return t.crayon})(e,n);return new w(s,t,e)},R=t=>!!t&&(Array.isArray?Array.isArray(t):t&&"object"==typeof t&&t.constructor===Array),b=(t,e=0)=>new Promise(n=>setTimeout(()=>{const e=t();n(e);},e)),E=(t,e)=>e&&t&&t.classList&&t.classList.add&&t.classList.add(e),L=(t,e)=>e&&t&&t.classList&&t.classList.add&&t.classList.remove(e),x=t=>t&&t.className&&(t.className=""),O=(t,e)=>{if(e&&t)for(const n in e)t.style[n]=e[n];},P=(...t)=>t.forEach(t=>t.getBoundingClientRect()),A=t=>{const e=document.body.getElementsByClassName(t);let n,s;return 1===e.length?s=e[0]:(n=e[0],s=e[1]),{length:e.length,leaving:n,entering:s}},S=async(t,e,n,s)=>{const i=e.target,r=T(n),o=_(r.noAnimation,n,s);await e.push(t);const{leaving:a,entering:h}=A(e.selector);return o&&(E(i,r.isAnimating),E(h,r.base),O(h,{transitionDuration:`${s}ms`}),P(h)),void 0===a?o?(E(h,r.firstEnter),E(h,r.enter),P(h),b(()=>{L(h,r.firstEnter),L(h,r.enter),E(h,r.enterDone),L(i,r.isAnimating);},s)):(E(h,r.enterDone),Promise.resolve()):o?(x(a),O(a,{transitionDuration:`${s}ms`}),O(h,{transitionDuration:`${s}ms`}),E(a,e.selector),E(a,r.base),E(a,r.exit),E(h,r.enter),P(a,h),b(()=>{e.pop(),L(h,r.enter),E(h,r.enterDone),L(i,r.isAnimating);},s)):(e.pop(),Promise.resolve())},T=t=>({isAnimating:"is-animating",noAnimation:"no-animation",hostView:"host-view",base:t,firstEnter:`${t}-enter-first`,enter:`${t}-enter`,enterDone:`${t}-enter-done`,exit:`${t}-exit`}),_=(t,e,n)=>!(!e||!n||e===t||0===n);n.d(e,"Router",function(){return w}),n.d(e,"create",function(){return v}),n.d(e,"Group",function(){return l}),n.d(e,"group",function(){return p}),n.d(e,"Request",function(){return c}),n.d(e,"Response",function(){return d}),n.d(e,"RouterEventType",function(){return u}),n.d(e,"isArray",function(){return R}),n.d(e,"ofLength",function(){return h}),n.d(e,"mount",function(){return S}),n.d(e,"addClass",function(){return E}),n.d(e,"removeClass",function(){return L}),n.d(e,"clearClasses",function(){return x}),n.d(e,"addStyles",function(){return O}),n.d(e,"waitForElements",function(){return P}),n.d(e,"getOutlets",function(){return A}),n.d(e,"go",function(){return b}),n.d(e,"createSubject",function(){return f}),n.d(e,"normalise",function(){return s}),n.d(e,"removeTrailingSlash",function(){return i}),n.d(e,"hasTrailingSlash",function(){return r}),n.d(e,"matchPath",function(){return o}),n.d(e,"deserializeQuery",function(){return a});e.default={create:v,group:p};}])});
    });

    var crayon = unwrapExports(dist);

    var dist$1 = createCommonjsModule(function (module, exports) {
    !function(e,t){module.exports=t(dist);}(window,function(e){return function(e){var t={};function n(r){if(t[r])return t[r].exports;var o=t[r]={i:r,l:!1,exports:{}};return e[r].call(o.exports,o,o.exports,n),o.l=!0,o.exports}return n.m=e,n.c=t,n.d=function(e,t,r){n.o(e,t)||Object.defineProperty(e,t,{enumerable:!0,get:r});},n.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0});},n.t=function(e,t){if(1&t&&(e=n(e)),8&t)return e;if(4&t&&"object"==typeof e&&e&&e.__esModule)return e;var r=Object.create(null);if(n.r(r),Object.defineProperty(r,"default",{enumerable:!0,value:e}),2&t&&"string"!=typeof e)for(var o in e)n.d(r,o,function(t){return e[t]}.bind(null,o));return r},n.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return n.d(t,"a",t),t},n.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},n.p="",n(n.s=2)}([function(e,t,n){Object.defineProperty(t,"__esModule",{value:!0});const r=n(1),o=n(3);t.router=e=>(t,n,i)=>{i.svelte||(i.svelte={mounter:new o.SvelteMounter(e)}),n.mount=(e,t)=>{const{createBuilder:o}=i.svelte.mounter,u=o(e,t);return r.mount(u,i.svelte.mounter,n.ctx.animation&&n.ctx.animation.name,n.ctx.animation&&n.ctx.animation.duration)};};},function(t,n){t.exports=e;},function(e,t,n){Object.defineProperty(t,"__esModule",{value:!0}),function(e){for(var n in e)t.hasOwnProperty(n)||(t[n]=e[n]);}(n(0));const r=n(0);t.default={router:r.router};},function(e,t,n){var r=this&&this.__awaiter||function(e,t,n,r){return new(n||(n=Promise))(function(o,i){function u(e){try{s(r.next(e));}catch(e){i(e);}}function c(e){try{s(r.throw(e));}catch(e){i(e);}}function s(e){e.done?o(e.value):new n(function(t){t(e.value);}).then(u,c);}s((r=r.apply(e,t||[])).next());})};Object.defineProperty(t,"__esModule",{value:!0});const o=n(1);t.SvelteMounter=class{constructor(e=document.body,t="router-view",n=[]){this.target=e,this.selector=t,this.instances=n;}push(e){return r(this,void 0,void 0,function*(){const t=document.createElement("div");o.addClass(t,this.selector),this.target.appendChild(t);const n=e(t);this.instances.push({instance:n,container:t});})}pop(){return r(this,void 0,void 0,function*(){const{leaving:e}=o.getOutlets(this.selector);if(!e)return;const{instance:t,container:n}=this.instances[0];t.$destroy(),this.target.removeChild(n),this.instances.shift();})}createBuilder(e,t){return n=>new e({target:n,props:Object.assign({},t)})}};}])});
    });

    var svelte = unwrapExports(dist$1);

    /* src/home/tabs/one.svelte generated by Svelte v3.9.1 */

    const file = "src/home/tabs/one.svelte";

    function create_fragment(ctx) {
    	var h3, t1, p0, t3, p1;

    	return {
    		c: function create() {
    			h3 = element("h3");
    			h3.textContent = "One";
    			t1 = space();
    			p0 = element("p");
    			p0.textContent = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque lobortis fringilla tristique. Suspendisse ut augue massa. Ut sodales vel\n    velit sit amet cursus. Nulla eu dui non sapien bibendum porttitor id quis nisi. Nullam consequat erat sit amet leo consectetur suscipit. Cras at\n    nunc dolor. Phasellus quis lacinia dui, sed facilisis justo. Fusce ac rutrum tortor.";
    			t3 = space();
    			p1 = element("p");
    			p1.textContent = "Donec laoreet vitae libero nec efficitur. Suspendisse rhoncus ante id quam cursus, a gravida velit facilisis. Mauris tempor mauris vel nunc\n    volutpat aliquam. Ut in cursus risus. Mauris eleifend vulputate tellus. Suspendisse volutpat odio vel leo luctus laoreet. Nam nisi ligula, aliquet\n    a sem ut, porttitor efficitur neque. Sed euismod purus eget imperdiet luctus.";
    			add_location(h3, file, 0, 0, 0);
    			add_location(p0, file, 1, 0, 13);
    			add_location(p1, file, 6, 0, 407);
    		},

    		l: function claim(nodes) {
    			throw new Error("options.hydrate only works if the component was compiled with the `hydratable: true` option");
    		},

    		m: function mount(target, anchor) {
    			insert(target, h3, anchor);
    			insert(target, t1, anchor);
    			insert(target, p0, anchor);
    			insert(target, t3, anchor);
    			insert(target, p1, anchor);
    		},

    		p: noop,
    		i: noop,
    		o: noop,

    		d: function destroy(detaching) {
    			if (detaching) {
    				detach(h3);
    				detach(t1);
    				detach(p0);
    				detach(t3);
    				detach(p1);
    			}
    		}
    	};
    }

    class One extends SvelteComponentDev {
    	constructor(options) {
    		super(options);
    		init(this, options, null, create_fragment, safe_not_equal, []);
    	}
    }

    /* src/home/tabs/two.svelte generated by Svelte v3.9.1 */

    const file$1 = "src/home/tabs/two.svelte";

    function create_fragment$1(ctx) {
    	var h3, t1, p0, t3, p1;

    	return {
    		c: function create() {
    			h3 = element("h3");
    			h3.textContent = "Two";
    			t1 = space();
    			p0 = element("p");
    			p0.textContent = "Donec quis nunc lacus. In feugiat iaculis augue, et laoreet nisi feugiat eu. Praesent feugiat pulvinar tellus, nec vehicula nulla tempor a.\n    Praesent interdum iaculis pharetra. Donec sodales dui in efficitur auctor. Nunc aliquet tristique tincidunt. Phasellus felis massa, efficitur ut\n    vehicula vestibulum, elementum sed sapien. Etiam congue eleifend pulvinar. Suspendisse mauris velit, convallis eget magna vel, aliquet lacinia\n    risus. Sed posuere, elit sit amet luctus laoreet, dolor orci fringilla lectus, ac mattis tortor velit in dolor. Donec ut vehicula purus. Nulla\n    facilisi.";
    			t3 = space();
    			p1 = element("p");
    			p1.textContent = "Quisque finibus iaculis auctor. Quisque sit amet mauris at velit ornare imperdiet. Nunc venenatis sed lorem eget placerat. Morbi sit amet congue\n    dui. Pellentesque interdum vitae leo quis rutrum. In vel neque non purus auctor lobortis vel eu dolor. Ut quis turpis consectetur, scelerisque\n    arcu non, efficitur ligula. Praesent et orci nec eros blandit viverra vel non urna. Quisque ac ex a lectus sagittis aliquet sed ut magna. Integer\n    sit amet egestas leo. In ex tortor, rhoncus vitae est a, volutpat lacinia enim. Pellentesque finibus mi vitae neque dignissim cursus.";
    			add_location(h3, file$1, 0, 0, 0);
    			add_location(p0, file$1, 1, 0, 13);
    			add_location(p1, file$1, 8, 0, 623);
    		},

    		l: function claim(nodes) {
    			throw new Error("options.hydrate only works if the component was compiled with the `hydratable: true` option");
    		},

    		m: function mount(target, anchor) {
    			insert(target, h3, anchor);
    			insert(target, t1, anchor);
    			insert(target, p0, anchor);
    			insert(target, t3, anchor);
    			insert(target, p1, anchor);
    		},

    		p: noop,
    		i: noop,
    		o: noop,

    		d: function destroy(detaching) {
    			if (detaching) {
    				detach(h3);
    				detach(t1);
    				detach(p0);
    				detach(t3);
    				detach(p1);
    			}
    		}
    	};
    }

    class Two extends SvelteComponentDev {
    	constructor(options) {
    		super(options);
    		init(this, options, null, create_fragment$1, safe_not_equal, []);
    	}
    }

    /* src/home/home.svelte generated by Svelte v3.9.1 */

    const file$2 = "src/home/home.svelte";

    function create_fragment$2(ctx) {
    	var h2, t1, nav, button0, t3, button1, t5, div, dispose;

    	return {
    		c: function create() {
    			h2 = element("h2");
    			h2.textContent = "Yoooo";
    			t1 = space();
    			nav = element("nav");
    			button0 = element("button");
    			button0.textContent = "A";
    			t3 = space();
    			button1 = element("button");
    			button1.textContent = "B";
    			t5 = space();
    			div = element("div");
    			add_location(h2, file$2, 24, 0, 560);
    			add_location(button0, file$2, 26, 2, 583);
    			add_location(button1, file$2, 27, 2, 650);
    			add_location(nav, file$2, 25, 0, 575);
    			add_location(div, file$2, 29, 0, 722);

    			dispose = [
    				listen(button0, "click", ctx.click_handler),
    				listen(button1, "click", ctx.click_handler_1)
    			];
    		},

    		l: function claim(nodes) {
    			throw new Error("options.hydrate only works if the component was compiled with the `hydratable: true` option");
    		},

    		m: function mount(target, anchor) {
    			insert(target, h2, anchor);
    			insert(target, t1, anchor);
    			insert(target, nav, anchor);
    			append(nav, button0);
    			append(nav, t3);
    			append(nav, button1);
    			insert(target, t5, anchor);
    			insert(target, div, anchor);
    			ctx.div_binding(div);
    		},

    		p: noop,
    		i: noop,
    		o: noop,

    		d: function destroy(detaching) {
    			if (detaching) {
    				detach(h2);
    				detach(t1);
    				detach(nav);
    				detach(t5);
    				detach(div);
    			}

    			ctx.div_binding(null);
    			run_all(dispose);
    		}
    	};
    }

    function instance($$self, $$props, $$invalidate) {
    	

        let outlet;
        let nested;

        onMount(() => {
            $$invalidate('nested', nested = crayon.create('nested-router'));
            nested.use(svelte.router(outlet));

            nested.path('/home/one', (req, res) => res.mount(One));
            nested.path('/home/two', (req, res) => res.mount(Two));

            nested.load();
        });

        onDestroy(() => nested.destroy());

    	function click_handler() {
    		return nested.navigate('/home/one');
    	}

    	function click_handler_1() {
    		return nested.navigate('/home/two');
    	}

    	function div_binding($$value) {
    		binding_callbacks[$$value ? 'unshift' : 'push'](() => {
    			$$invalidate('outlet', outlet = $$value);
    		});
    	}

    	return {
    		outlet,
    		nested,
    		click_handler,
    		click_handler_1,
    		div_binding
    	};
    }

    class Home extends SvelteComponentDev {
    	constructor(options) {
    		super(options);
    		init(this, options, instance, create_fragment$2, safe_not_equal, []);
    	}
    }

    // import crayon from 'crayon'

    new Home({ 
      target: document.body
    });

}());
//# sourceMappingURL=bundle.js.map
